geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <>
Subject [jira] [Commented] (GEODE-3166) AuthInitize interface non-deprecated api is never called
Date Mon, 17 Jul 2017 20:32:00 GMT


ASF subversion and git services commented on GEODE-3166:

Commit 27aa7d30e44134d5f298601fd1233dc3242b50de in geode's branch refs/heads/develop from
[;h=27aa7d3 ]

GEODE-3166: use the 3 param getCredential interface.

> AuthInitize interface non-deprecated api is never called
> --------------------------------------------------------
>                 Key: GEODE-3166
>                 URL:
>             Project: Geode
>          Issue Type: Bug
>            Reporter: Jinmei Liao
> this interface default Properties getCredentials(Properties securityProps)  is never
used by the product.
> The older interface is used because we still need to support the old authenticator, therefore
we can't update the product to use the new interface just yet. Need to remove the deprecated
annotation and this interface method.

This message was sent by Atlassian JIRA

View raw message